<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>main</name>
    <title>Main classes</title>
    <filename>group__main.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
    <class kind="class">KSettings::Dialog</class>
  </compound>
  <compound kind="group">
    <name>internal</name>
    <title>Internal classes</title>
    <filename>group__internal.html</filename>
  </compound>
  <compound kind="group">
    <name>findreplace</name>
    <title>Find and Replace classes</title>
    <filename>group__findreplace.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
  </compound>
  <compound kind="group">
    <name>plugin</name>
    <title>Plugin handling classes</title>
    <filename>group__plugin.html</filename>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>settings</name>
    <title>Settings UI classes</title>
    <filename>group__settings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>kcmodule</name>
    <title>KControl module classes</title>
    <filename>group__kcmodule.html</filename>
    <class kind="class">KCModuleContainer</class>
    <class kind="class">KCModuleInfo</class>
    <class kind="class">KCModuleLoader</class>
    <class kind="class">KCModuleProxy</class>
    <class kind="class">KCModuleProxyIface</class>
    <class kind="class">KCModuleProxyRootDispatcher</class>
    <class kind="class">KCMultiDialog</class>
    <member kind="define">
      <type>#define</type>
      <name>KCMODULECONTAINER</name>
      <anchorfile>group__kcmodule.html</anchorfile>
      <anchor>gacedd0c5a0b0fc9bb8aff94df7f9cc36b</anchor>
      <arglist>(modules, factoryName)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>multitabbar</name>
    <title>KMultiTabBar related classes</title>
    <filename>group__multitabbar.html</filename>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KMultiTabBarButton</class>
    <class kind="class">KMultiTabBarTab</class>
  </compound>
  <compound kind="class">
    <name>KCModuleContainer</name>
    <filename>classKCModuleContainer.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>afd8c194a28975603c2930228c7334fe3</anchor>
      <arglist>(QWidget *parent, const char *name, const QStringList &amp;mods)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a6401110a29989c89702fb36b3e46320b</anchor>
      <arglist>(QWidget *parent, const char *name, const QString &amp;mods=QString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>ace851d474737d6cb8c77ee3ec0146a5c</anchor>
      <arglist>(const QString &amp;module)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a215fa8026d572cc63a3db839b9668636</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>ac1249b2eb8ea0b9ae87e08bc2a767c6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a0303378ac8fb90ba7b8c0a2b5ec50eb6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>ac3fc513b06ffe5d4b5b5c3afb5b55485</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>QValueList&lt; KCModuleProxy * &gt;</type>
      <name>ModuleList</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>aebd27fa75175f3b74026e2ba91020bf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finalize</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>abcbc0d7a75c16fdeba24faaa14534c6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>changedModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>aaab884a12b195a3d1ddffbcb6ea97eb7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>allModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a2581c26fb712ac3952983d42f1058a09</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleInfo</name>
    <filename>classKCModuleInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>adb479255dc2143bcb05510311f0fb08f</anchor>
      <arglist>(const QString &amp;desktopFile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a877b61a1c81939244cce405d5a388cd2</anchor>
      <arglist>(KService::Ptr moduleInfo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>af57abec101dc24864ecbba8ed1e16e59</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>aa43bd95cc8ed429218a0e966f2d7bcd6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCModuleInfo &amp;</type>
      <name>operator=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a587b079bf8e14161ffc41c36656091c5</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ac53c810a4a659ff87d60d57684be73a2</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a93bd6eb0b3130ddea02b4331ad01fe79</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a7c8d6229e1d1e3780611675a883dcdfa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a786dac02136e095e196ac7f5539a0eac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>keywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a13929b9beb12c64327287c1c822dcd2d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>factoryName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>afaf8b4612a1cba9f08159a923fd7cfce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>moduleName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a6ae4442f2d57f963c18bcf051efb62b2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a7879a84f03689ff28644a98ea40d4b73</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>af060c6663b6aba1937338c896e4ad014</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ada67b1e2b29a4db544e53f5cd5b4c671</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>docPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>afcbde93d6600d4fa93e8ba8f2be7ab02</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>library</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>af21fa10d612d6f60a4e2b530a1b312fe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>handle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a438a5e0952def120425fccb7e3422fea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a9e2f29020d51e0db5372fc411a10dabf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>af8410aecdc6fdcd0d6f54c8bae671b0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ac4acf93db2dceca5f2ab45a41f38f724</anchor>
      <arglist>() const KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a801f0ca9a310c7cdaaabf17466b85b41</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setKeywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a77da7b912203c2ef8aa0a1addcc60b9f</anchor>
      <arglist>(const QStringList &amp;keyword)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>aba713a90dd298b10ca92dc1a2575e3fa</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setComment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>afb84f31952f03c0341eacabb8e80ba41</anchor>
      <arglist>(const QString &amp;comment)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a70a3746fe517ad549298ee85bdc0f3df</anchor>
      <arglist>(const QString &amp;icon)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLibrary</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ae5d3a259665dffe0a7154ca9c925f025</anchor>
      <arglist>(const QString &amp;lib)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHandle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ac7a85a92c9941c88cf31c12402aa303b</anchor>
      <arglist>(const QString &amp;handle)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setWeight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ae9a42f8493ca7561cc74451431d92184</anchor>
      <arglist>(int weight)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ab158b4d67fbfea068975f00d9d73a3e6</anchor>
      <arglist>(bool val)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>aec95c589ce2273f7f7a0ab18ad1d9b9e</anchor>
      <arglist>(bool needsRootPrivileges)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ade52f29a983821c3dd724453ce97efd7</anchor>
      <arglist>(bool isHiddenByDefault)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDocPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a4045f22cc436d7e9175293efdaf4ec0e</anchor>
      <arglist>(const QString &amp;p)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadAll</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ab8bdff413ef73a547fd8cd6b4f339a92</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleLoader</name>
    <filename>classKCModuleLoader.html</filename>
    <member kind="enumeration">
      <name>ErrorReporting</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747da20014ac1da26a191b4d9de679ae9d3e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Inline</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747da005cd4b0726931d7e3c564b24c1e2bb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Dialog</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747da746e97d8f1d1cf1235b1d9e2559ede0a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Both</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747dac900aa7bd376141a32912f2e49ae68ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>ae85e392679245e6634291fb1e19f6e85</anchor>
      <arglist>(const KCModuleInfo &amp;module, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a033c12693971e67f18c648a2d43f044f</anchor>
      <arglist>(const QString &amp;module, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a82dba232ca966518e1a2e0c79a5e1049</anchor>
      <arglist>(const KCModuleInfo &amp;module, ErrorReporting report, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a1397422a3fd45bfb8a6d768767a47385</anchor>
      <arglist>(const QString &amp;module, ErrorReporting report, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>unloadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a486d01e5f9c68b2c44d4c34de034a6ad</anchor>
      <arglist>(const KCModuleInfo &amp;mod)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>showLastLoaderError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>afc9cb3779047b23f3645f5007ae9f670</anchor>
      <arglist>(QWidget *parent) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a4033f00cbe6bcd5fcc0702aec749c94b</anchor>
      <arglist>(const QString &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>aebdb15cace1e405eeee8d6eddb4f4dea</anchor>
      <arglist>(const KCModuleInfo &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>reportError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>af1732a74e1357cb9634026e384e6e1c0</anchor>
      <arglist>(ErrorReporting report, const QString &amp;text, QString details, QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxy</name>
    <filename>classKCModuleProxy.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>runAsRoot</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a883dbea3dfdb9f3018ce95b84e31b644</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a564d47d826e86554978924ee0f00d839</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteClient</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a50ccc8c6b1cd7f49447812024b3b976f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>acb872091a131fd6f5c52b75ea4ffbfba</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>acd8b1e4801637e804d8b247b361db492</anchor>
      <arglist>(KCModuleProxy *mod)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>childClosed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a13d414891c7a428e42e8a72666461438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>aa56e388e97c44d303a787b9c49813438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a0bf8216f1bf503b15e1fcb1382578b9c</anchor>
      <arglist>(const KCModuleInfo &amp;info, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a5f9a62b1b9bd19c1cff99a85b83fced8</anchor>
      <arglist>(const QString &amp;serviceName, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a4fb9f081dedb8bf8f6426a21c4426825</anchor>
      <arglist>(const KService::Ptr &amp;service, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>ad9a6f8d829a0cac4d9f9dce1ff090d18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>acf8c3283771767a2a2f907a27d09c64c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a73a578508c3a025c2813536fc6c8a558</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a059d5717024c91043c1771c0b31acedd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a065eae3a65b2990c638f76a9076369cd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>af082458a1daf87723f9822eef8bc7c8a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>accb19cbb12d43918f453a23d09210015</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useRootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a822a6ddf4b08d793f833669b0a2c1ac9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KInstance *</type>
      <name>instance</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a36acc4f607c45ab2b363df713347940e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>ae4b79c3fee9d60e24c172eed7afe3b98</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>rootMode</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a28e157c0338d0904a2c759a68bbe5f95</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KCModule *</type>
      <name>realModule</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>aa5e799e6e780c60f5503307246552c70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KCModuleInfo &amp;</type>
      <name>moduleInfo</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>aa881159fed115bc8b6a8697dc8d7270b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>dcopName</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a1c50efda5d0f5a9ec38d235feb9aae24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a85b01439a5f6428fcd9266d02cb3d745</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a0ee69f8bbf5191adf97e31cc48d63087</anchor>
      <arglist>(const KCModuleInfo &amp;info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitQuickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>ae64a32a3e2dc095e2336443c9151c8db</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KCModuleProxyRootCommunicatorImpl</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a60c945723f378705a5f82c2bbdae72d7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyIface</name>
    <filename>classKCModuleProxyIface.html</filename>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>a0c91566cb63ec312bd43f013642f0291</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyRootDispatcher</name>
    <filename>classKCModuleProxyRootDispatcher.html</filename>
  </compound>
  <compound kind="class">
    <name>KCMultiDialog</name>
    <filename>classKCMultiDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>abf8d7b3c52fd90d348c680b8a067aee9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ad04c8c9c37d63783858c7ab71225eaa9</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a9ba1bd8938fbd73b24b7455cf3b11fea</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ab64c4e640388aff167fb3886dc65b462</anchor>
      <arglist>(int dialogFace, const QString &amp;caption, QWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>aee8afc7580801c9fd2480f90186188c3</anchor>
      <arglist>(int dialogFace, const KGuiItem &amp;user2, const KGuiItem &amp;user3=KGuiItem(), int buttonMask=User2, const QString &amp;caption=i18n(&quot;Configure&quot;), QWidget *parent=0, const char *name=0, bool modal=false) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a88fdcf3a3569b9097cad0364a7b428f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>afb466c1981af51a833a6300c3f71674e</anchor>
      <arglist>(const QString &amp;module, bool withfallback=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ac5684f25af1aed7968303e6aa42318e8</anchor>
      <arglist>(const KCModuleInfo &amp;moduleinfo, QStringList parentmodulenames=QStringList(), bool withfallback=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAllModules</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>af2ae2d273211ee137a67a01fe244df25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a88895c85c449a25a9b91c48de3a8f22b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>aa18c0253a7cf99662f0cfd11f9a955b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ac65df4021c119c0eb0659edd0261476b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>af3318dc97ed7640892714ea001079d27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a7302c5cd148118d994d5442b233edee5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotHelp</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>abe9931a715ecf85eda04a46e1900785c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFind</name>
    <filename>classKFind.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Result</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086faba61fbb9416d27f4ca375335f6aadf5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Match</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086fafbed2acec3f17225b88e7e8d7d4a6027</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>af66e494430aa005f66f08052ed82b0e9</anchor>
      <arglist>(const QString &amp;text, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a657f5d8ff4bfaf4fbdcb06f31ce0951b</anchor>
      <arglist>(int id, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a8dda59166d3c8893737675328312c7a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>optionsChanged</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a8930ac96f7c34f1c2a923f423b78ae80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a7b8095f6465290037a18fb10e55303bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>abf8d9a3d3e1901468b73b4c9fc84c15b</anchor>
      <arglist>(const QString &amp;pattern, long options, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a0be9aa46e4e9a76a6895573e8f35f8fe</anchor>
      <arglist>(const QString &amp;pattern, long options, QWidget *parent, QWidget *findDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a57d3de5351a9271151bc7f7b11420fae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ac2aa31c56ce6137e2c15672643ec0d39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ac806c7431ccf4322b527503bc2017a38</anchor>
      <arglist>(const QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a00e99cbb31eb7db6ea7f9742214140ff</anchor>
      <arglist>(int id, const QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>aeca9357cf928ce7bf0e63e695e13572e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a5aac4ccbdf73d8ee87c332f7e41484c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOptions</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ab81a0a207642b5040b7f70aa7554e2a6</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a56d66f34345ae798fc561ad13336a779</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a6def3ea12954905ddaef3ebf39ced2b5</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numMatches</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a48e3acd3fc80b9209789b25269c5ece2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>afb374c90fc8ee5c1f21f84d934b0df35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validateMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a469e02f43c69769b3f4c3c815241a69d</anchor>
      <arglist>(const QString &amp;text, int index, int matchedlength)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a0cdf16a51c2ddd48d647ef20faf4c5a8</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>afe38e946ffcdbfcc60597bd80e5dd032</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>findNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a27f97b3e09a67a156655e7a7b81ea871</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeFindNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a7463d233cf533cab1517a04a2bee0d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a9000c1387affd5f1e95b81b6136cec3a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a1ce04dfdc7e2ee4117743fcf9a41d3e4</anchor>
      <arglist>(const QString &amp;text, const QString &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>acccfd8b9bfe82bf8cb6b1b20257cd718</anchor>
      <arglist>(const QString &amp;text, const QRegExp &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFindNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a26a586cee651921df2bb255552ee8451</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a63d9775035c980ee45188f7777ff766e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a847ce58308ec2d5b03acab2092d3b903</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>dialogsParent</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a05708f0b2a73aa2a2e6d952faebebe0f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplace</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a1e801c845634e887e0fc2df5e3360827</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFindDialog</name>
    <filename>classKFindDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WholeWordsOnly</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a5db7cf21128345e29602c83cf31eb19c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FromCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a2c100196ebf03c67436f1132cd8f79be</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SelectedText</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a74916e2d530bacb0b06c99a8b2e61bdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CaseSensitive</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2aa072953f74644bdc0e459f4fe6227d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FindBackwards</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2ac3d27a1c47e0d6fee6c0b6476c1a5ba8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RegularExpression</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2ab05d90b001a3665b45d4ec4d1587f24d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FindIncremental</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a09ee480d328c85c829b1ea760af72557</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MinimumUserOption</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a940719022d63a2c2b57ba145dc03b37f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a52784cff0e1a60767fae086441ce8b26</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a1ee22a04b19bdfbc60a8247627649fe8</anchor>
      <arglist>(bool modal, QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a430c00801898700de804e01a5bbf081d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFindHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a87936c24c1a879a9cfc58c260d0be0bc</anchor>
      <arglist>(const QStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>findHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a893b7d3c1f9f4924247ed4d71efa9d17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasSelection</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>aa90691a0c749be71352ed4dd6a08ca63</anchor>
      <arglist>(bool hasSelection)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a6be903cddc210f1d687f47b345ba645a</anchor>
      <arglist>(bool hasCursor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsBackwardsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a47b113ace4556b15871844103f9acc1a</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsCaseSensitiveFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a87539c237ffabe9ecd5874d2c3932c8c</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsWholeWordsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a789152a36772e4619785038adc456730</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsRegularExpressionFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>aa11afefb57b18afcd0d7d1a6a0369349</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ae512813bd5ec4da5bbb495e81edec9fb</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a7dc54f0e4005292eb28669b1c9b59946</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a71fcfc8c1e212ef05647eec5c5a73980</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>aecfe284726db6b7309281472ddaa01b9</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>findExtension</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a67c3821929367a0231fd550e354db32c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a849a8af159e5044e01f6fdc2da806f9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectedTextToggled</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a439fe284d978f0cc48f761ff9d6b9513</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPatterns</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a2596dd5c44ec589c0c0a00f6a5951226</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPlaceholders</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a7d01b893f06ec03c4edfafa2242ef22a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>textSearchChanged</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a723129761d9fddd0bb58f80b9a53fbbe</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a2c742bd3fed8091fdb3ab0bbe6150428</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplaceDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a72e96c98c853c5ed4ea1db359c43e4b8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBar</name>
    <filename>classKMultiTabBar.html</filename>
    <base>QWidget</base>
    <member kind="enumeration">
      <name>KMultiTabBarMode</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Horizontal</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16a5dadb3be50644859ff39746a0aeaa6ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Vertical</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16afe09579a0c226a5eee45eb23145e9552</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Left</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a4eb06652ff388e811245e9774d857aeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Right</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81ae2542940b6086aea190dbcb41943f514</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Top</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a048e2477360454066139746f91284cc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Bottom</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a622e0ffdaf4015357d3a275f2653677c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>VSNET</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827ae4211116578a09724a5a9822aa865b28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KDEV3</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827a662aeff664d13636fc3d64a66bee1cc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KONQSBC</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827aeb717e65bc739e0c7d3837cd7f0da951</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KDEV3ICON</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827a946c48526f0d2fceeb326f5316f19d6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STYLELAST</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827ad9c565d065a3a8cee8d3f15c04499f84</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>acff591d6d7fcf9d175d880e59de1f252</anchor>
      <arglist>(KMultiTabBarMode bm, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a6671d93740d929dc29e3a74b048d96be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>acea619ea2e12a19b0ae4f24acc9549be</anchor>
      <arglist>(const QPixmap &amp;pic, int id=-1, QPopupMenu *popup=0, const QString &amp;not_used_yet=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a859735c1d2894592f72ffc4cdffea925</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ada5be7d3f47b331e9e1eab1fb20d5008</anchor>
      <arglist>(const QPixmap &amp;pic, int id=-1, const QString &amp;text=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a4d40d8a6c782f9cc4bc14ccf58b3dc61</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a980a791e5e0ced19f44450f07cefea33</anchor>
      <arglist>(int id, bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTabRaised</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a11f1c4e15bdbee6dd5d842e5e5774c94</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>class KMultiTabBarButton *</type>
      <name>button</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ac478b9971feb76407be43dbd7856c1a8</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>class KMultiTabBarTab *</type>
      <name>tab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a3d942bf481fae6127d9e5a622ade1f83</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>af9703bd69213a947ad2664a96fdebff8</anchor>
      <arglist>(KMultiTabBarPosition pos)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarPosition</type>
      <name>position</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ab05bd8358bfdc5faf643ad4fe390204a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a086faf12628a486a0e76ff8b66a2e7ed</anchor>
      <arglist>(KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarStyle</type>
      <name>tabStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a363e8c2cd6cc9ed0895f1cacfbbda7d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KMultiTabBarTab &gt; *</type>
      <name>tabs</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0a6aea14aa408d26d29bbe8b1b3c0610</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KMultiTabBarButton &gt; *</type>
      <name>buttons</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>aa49d54bc30dfc214f893dfcffb6f0f5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabTexts</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a3dc4ecb462dae3e8b1465ee64db9415f</anchor>
      <arglist>(bool show=true)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>fontChange</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ac3430d7453e3abc9fd43fc7181681b39</anchor>
      <arglist>(const QFont &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateSeparator</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a93b021eb094d2ba0fc701d127e6ce623</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a8ca7ce68560afa429d0df519f8630861</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarButton</name>
    <filename>classKMultiTabBarButton.html</filename>
    <base>QPushButton</base>
    <member kind="slot">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a28a2d1c45ab1574aa05259e7e0a960b3</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a37c72768023035a048b700b2e3bb093f</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarStyle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a856af3f068647f9f10d23aa735e22c2c</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a8e4a5b8fef49a402ddb35d49e3645e3b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a4cadfe9100574c003ef22326f9cd177a</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a6bd71c31975c2d6263afd210851bdd7e</anchor>
      <arglist>(const QPixmap &amp;pic, const QString &amp;, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a96a1c742d4aad99b511edc29d7d15743</anchor>
      <arglist>(const QString &amp;, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a853eddd04f99c8d604972b2c6ade7a34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>aa5edf5c8bdcfe1121ee4e34f36440ed1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a960ab88c1eea0c80ff6637f6b907a782</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>hideEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>aaf0d1424cce4e43b3cf571d01f97b16f</anchor>
      <arglist>(class QHideEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a926aefe9518029cb11d2ec5b4d9b8adf</anchor>
      <arglist>(class QShowEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarPosition</type>
      <name>m_position</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a37c71a4f246b0704c57053a96020c941</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarStyle</type>
      <name>m_style</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>abe7c46e7076557ca4a725a29f6e86216</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_text</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a051ec27cf797fc8050d40b1b1a2ed872</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarTab</name>
    <filename>classKMultiTabBarTab.html</filename>
    <base>KMultiTabBarButton</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a182334fa325f455213e711f3fac3c765</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a3d0f47b79fcd642590a60f5f278fb828</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>adcac9dfec067688a48b0705b3f1f3078</anchor>
      <arglist>(const QPixmap &amp;pic, const QString &amp;, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ae31b214dec88f8d20d94e26c263f3de8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>aa7730576dccb4c0ab2ad6cbc66bae282</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabText</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a745d630a684af3d267dc6a23b85e8c7e</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a83866ba19205878481e087db34a8f5b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a7ef35b81ba26940c08a4250f7c3d9238</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setTabsPosition</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a6fa70a8f3d62bbcd8b15458a90baa66d</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ae7b609db77c31398fe0a65fb1c8f65a9</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>neededSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a4caffdc4ea7fcdbbc9cf70542064a72a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a8cef7fa760f3961f835b07b6f72a8013</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButton</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>acb69063ee983dfa91f151c9db14c97af</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButtonLabel</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a4cd5005fafaef513df318217e80bbcf4</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonStyled</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a3ac59fdd11cbf42873e30b5657c0f1a9</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonClassic</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ac5fea4f48eaeb5934099dd9c6078a300</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarInternal</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>aa7ce0be4a81bcee3c17f699bd355ecb9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginInfo</name>
    <filename>classKPluginInfo.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; KPluginInfo * &gt;</type>
      <name>List</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>aba94b8350c2a03efb7fb1a5dabde6eb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>add336b84f9b10953fff17f7f008dd5c8</anchor>
      <arglist>(const QString &amp;filename, const char *resource=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a9a1dc91305cbcc4467dd8faefd9c54be</anchor>
      <arglist>(const KService::Ptr service)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHidden</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae65db0e474f0047f2d55171d494c8ec3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ac453ae934eb0711dd88647b5d0f0d2dd</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>afc75fa17725a4264f0283f56f29d9f2b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPluginEnabledByDefault</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a43d49fdeb7245920813fed27fa97eaa6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>property</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae300e32322d30c794385a6f7f0ad2a9a</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>operator[]</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a22a2c2e9a256f040afddb63932c75f9c</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>name</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a78500dc2a25ab944c99b349ee9147c5d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>comment</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a3f268b6aff16a8a3ea39119e6e1588ac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>icon</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a5b8acc911cf54f7bc7869a389ab9229e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>specfile</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ad78082055a909a2815b111c27bb4473b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>author</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ace95d15888f5411c1b252fd223f4a9f0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>email</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab1efbf295d38617bc7e65eb0b1ee0bd8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>category</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a220dd784f5a713466b5028c6184dbde9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>pluginName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>addc725ba722b3c3813f65e1cd81c2115</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>version</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a22680a7434c218a038aa886159474b2a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>website</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a3387dad6114006c6df747c17c1f4b6b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>license</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>af9d0f0c37c6ed3932479ddb4176c144f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>dependencies</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a2b7ca7b27c4a8780254a6e384200bd9d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a8595e32a60c731324c4f52fd2d4987f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; KService::Ptr &gt; &amp;</type>
      <name>kcmServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a2953c523936b6819236a6de1af5d6fb7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfig</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a2476763095369ca53e2b6bad02ba48ff</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>config</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a55e3ca97ab8c828f5958273e473d1660</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>configgroup</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a16819629035f29438fa8b32c85217f70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ac00ca2189951997945691a41aff3f84e</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a796193851fff1ae1ae0865f68623d4a9</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab2d62b88fec5f9fa67f9b18ca87f0234</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a0087b462646453d50cdcce7185dc5def</anchor>
      <arglist>(const KService::List &amp;services, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromFiles</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a9516b8ed553239392d3a60a7284f5b63</anchor>
      <arglist>(const QStringList &amp;files, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromKPartsInstanceName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a8e95032c6440dec66211186dfec69006</anchor>
      <arglist>(const QString &amp;, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginSelector</name>
    <filename>classKPluginSelector.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>aa52dd0b1a3a871756def87c2c9d6918c</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a6468d0ce675e1c3d9753246cd07ab119</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ab71ea12eb0a9401f67530e5608233348</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a8189a1e9e477f6bec222161a9d6683c0</anchor>
      <arglist>(const QString &amp;instanceName, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ab30b2415371434b13047c6ce457d0993</anchor>
      <arglist>(const KInstance *instance, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a275077c34abdc7df29641b479c14e067</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugininfos, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyConfigPage</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a312919a6575d2952dbe82209832b9247</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ab028a22b586d0698f61cb3f5b54ae7b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ad9e0185ec6b1ab4dbb532b92d52496d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ac8e384839a14d0bdf17c0c8a6a93d7cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KPluginSelectionWidget</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ac9630545e7cbad6daecc8219b51c2bb8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplace</name>
    <filename>classKReplace.html</filename>
    <base>KFind</base>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>afdefd71e9e487ea7292409172eb4430c</anchor>
      <arglist>(const QString &amp;text, int replacementIndex, int replacedLength, int matchedLength)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a21ecb263e51c6dd319aec0b059abc9a3</anchor>
      <arglist>(const QString &amp;pattern, const QString &amp;replacement, long options, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a9d751c132f43866225f854e3d14e5632</anchor>
      <arglist>(const QString &amp;pattern, const QString &amp;replacement, long options, QWidget *parent, QWidget *replaceDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ae1867c23a1a814d7a341ccdb203eb141</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numReplacements</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ad8d728e77616b2e0554d4d1390f1afb0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a9a17ef8077940fe22bc4596308e3b513</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>abcdf792c73f9971964db69a90a36c030</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>replaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7145c5261063c8e789da58062c7ceb11</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeReplaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ac7c64ccb2e4a416507774ed8d6781cfe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7988a0b910f65e972ef7d12c8a538f01</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a97ff667380c4adb8916bd0cbcf96f512</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a82a378409efe5dcc3e06a0a46c8bcf5e</anchor>
      <arglist>(QString &amp;text, const QString &amp;pattern, const QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a3071bff758152292c517b49496353069</anchor>
      <arglist>(QString &amp;text, const QRegExp &amp;pattern, const QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSkip</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a74e5439d742312ea4bb53578dd61e2fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a061977e0f0c60369a5f2e7465e86b84a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplaceAll</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7bfc3484ac99173cf85ee89532cc8f10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplaceDialog</name>
    <filename>classKReplaceDialog.html</filename>
    <base>KFindDialog</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ac1bbf85bce9e1fc016fc9146e2de413d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PromptOnReplace</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ac1bbf85bce9e1fc016fc9146e2de413da7d7b7b184c2f0f654b3a6625525c10b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ab3c885f96abb9c1f8d9cc0955861f208</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), const QStringList &amp;replaceStrings=QStringList(), bool hasSelection=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a87f5246ff389c39d86417b6569ca1e16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a6e502247f5cc4b3e24c6afc488e9aadd</anchor>
      <arglist>(const QStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>replacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a13b9d619d0bb515c6614460c219ddc5e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a700baff2041d9fc8db6b26310061ca94</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a998b98210fc15efea0b4af4bea3de8c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replacement</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ad584ab14e3ca4b00051bc53c2ed58875</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>replaceExtension</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a0706f83ae9df98bd83aa8aa1b7a6eb86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a9b27f9074cabdb9dc1a1dd53f5135684</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a5fc5f168c6a3ba1e791e30f8f1c85aa1</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSettings</name>
    <filename>namespaceKSettings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Dispatcher &gt;</type>
      <name>ksd_kpd</name>
      <anchorfile>namespaceKSettings.html</anchorfile>
      <anchor>a7d98d797cc873a54feba83fa2784e2b5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::ComponentsDialog</name>
    <filename>classKSettings_1_1ComponentsDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>ad06fa03ea203508372366b842c186573</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfo</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>afc8b1cc92e1f016b3946e8c69c562257</anchor>
      <arglist>(KPluginInfo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>adb6982f0138fd8edbe5302c3b912d960</anchor>
      <arglist>(const QMap&lt; QString, KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a155f43d8ed9f9f47208d2904afb04e81</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugins)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>adcbed79beb4fd2da550722f41de0d6ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a7344f9e8430961f16dfad83dd210de51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a4b80f8f46306de35969f71f1deadff44</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dialog</name>
    <filename>classKSettings_1_1Dialog.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>ContentInListView</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Static</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8a0e93fe741196b7f3372582e241c6de29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Configurable</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8a7282e6771a1a979f50a3556e24a15cf6</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>ab5095a88e53d108e543b1364253f0e65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pluginSelectionChanged</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a042e3d089adcd43091b36bdc6c039e95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a497e54e7eaa64c132efdc59a5b85108e</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a2601262d7e9db7d57483bc8b748a0dce</anchor>
      <arglist>(ContentInListView content=Static, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a148c1368b4c59febb100c73fde26c7f2</anchor>
      <arglist>(const QStringList &amp;components, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a4709906cf2715bdc09fa0dd83ffd37a9</anchor>
      <arglist>(const QStringList &amp;components, ContentInListView content, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfos</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a16856b467c5b55e2ce6df6a9ea74196a</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>KCMultiDialog *</type>
      <name>dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>aa0a4d5b12532e439812f3f275470ee20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>configureTree</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a22e0ac1deae8bbfbef00472863880b0b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTreeList</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a645686ed01c50cb93e9a932f5fa3867c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PageNode</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0c76e5b6b4500448fb279d29c9ed171b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dispatcher</name>
    <filename>classKSettings_1_1Dispatcher.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>ab6a3bac2a0b1fc5533fb3aa2e9b9fade</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>syncConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a0bdd0012d29c2b1d681ae43f622a5916</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerInstance</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a2c4f3f7998a8dea1c424c8abf06d6608</anchor>
      <arglist>(KInstance *instance, QObject *recv, const char *slot)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>configForInstanceName</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a3d5a4732dd8f574f0841ce7a0923959c</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type>QStrList</type>
      <name>instanceNames</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a17b7865c53257961f512127b6b2cce1d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Dispatcher *</type>
      <name>self</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a1686a1e21454ee58c826d4c0b4e60369</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KStaticDeleter&lt; Dispatcher &gt;</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a072c41f2ec2f598b2f14d50eade44764</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::PluginPage</name>
    <filename>classKSettings_1_1PluginPage.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a169d4e4eedb395d232897fb137870dec</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a3a99cf2de5853a8268352839beac059f</anchor>
      <arglist>(KInstance *instance, QWidget *parent=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>KPluginSelector *</type>
      <name>pluginSelector</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a2c3cdac8e08ed50517a29e69fd9a3e93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>afd9147583571e4311fcda38dbd79f834</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>aa37cc2f685db2c49c0b30c5754f89d66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>ad0cdd1c3d8adef1270b9deed6f4d2649</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
